org.richfaces.component.html

## Class HtmlProgressBar

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.ajax4jsf.component.UIPoll
          - - org.richfaces.component.UIProgressBar
            - - org.richfaces.component.html.HtmlProgressBar

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

      public class HtmlProgressBar
      extends UIProgressBar

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIProgressBar

      `FORCE_PERCENT_PARAM`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlProgressBar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompleteClass()`
    `java.lang.Object` | `getData()`
    `java.lang.Boolean` | `getDualColoredLabel()`
    `java.lang.String` | `getEventsQueue()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFinishClass()`
    `java.lang.String` | `getFocus()`
    `java.lang.String` | `getInitialClass()`
    `int` | `getInterval()`
    `java.lang.String` | `getLabel()`
    `java.lang.Object` | `getMaxValue()`
    `java.lang.Object` | `getMinValue()`
    `java.lang.String` | `getMode()`
    `java.lang.String` | `getOnbeforedomupdate()`
    `java.lang.String` | `getOnclick()`
    `java.lang.String` | `getOncomplete()`
    `java.lang.String` | `getOndblclick()`
    `java.lang.String` | `getOnkeydown()`
    `java.lang.String` | `getOnkeypress()`
    `java.lang.String` | `getOnkeyup()`
    `java.lang.String` | `getOnmousedown()`
    `java.lang.String` | `getOnmousemove()`
    `java.lang.String` | `getOnmouseout()`
    `java.lang.String` | `getOnmouseover()`
    `java.lang.String` | `getOnmouseup()`
    `java.lang.String` | `getOnsubmit()`
    `java.lang.Object` | `getParameters()`
    `java.lang.Object` | `getProcess()`
    `java.lang.String` | `getProgressVar()`
    `java.lang.String` | `getRemainClass()`
    `int` | `getRequestDelay()`
    `java.lang.Object` | `getReRender()`
    `java.lang.String` | `getReRenderAfterComplete()`
    `java.lang.String` | `getSimilarityGroupingId()`
    `java.lang.String` | `getStatus()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `int` | `getTimeout()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isBypassUpdates()`
    `boolean` | `isEnabled()`
    `boolean` | `isIgnoreDupResponses()`
    `boolean` | `isLimitToList()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxSingle(boolean _ajaxSingle)`
    `void` | `setBypassUpdates(boolean _bypassUpdates)`
    `void` | `setCompleteClass(java.lang.String _completeClass)`
    `void` | `setData(java.lang.Object _data)`
    `void` | `setDualColoredLabel(java.lang.Boolean _dualColoredLabel)`
    `void` | `setEnabled(boolean _enabled)`
    `void` | `setEventsQueue(java.lang.String _eventsQueue)`
    `void` | `setFinishClass(java.lang.String _finishClass)`
    `void` | `setFocus(java.lang.String _focus)`
    `void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
    `void` | `setInitialClass(java.lang.String _initialClass)`
    `void` | `setInterval(int _interval)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setLimitToList(boolean _limitToList)`
    `void` | `setMaxValue(java.lang.Object _maxValue)`
    `void` | `setMinValue(java.lang.Object _minValue)`
    `void` | `setMode(java.lang.String _mode)`
    `void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
    `void` | `setOnclick(java.lang.String _onclick)`
    `void` | `setOncomplete(java.lang.String _oncomplete)`
    `void` | `setOndblclick(java.lang.String _ondblclick)`
    `void` | `setOnkeydown(java.lang.String _onkeydown)`
    `void` | `setOnkeypress(java.lang.String _onkeypress)`
    `void` | `setOnkeyup(java.lang.String _onkeyup)`
    `void` | `setOnmousedown(java.lang.String _onmousedown)`
    `void` | `setOnmousemove(java.lang.String _onmousemove)`
    `void` | `setOnmouseout(java.lang.String _onmouseout)`
    `void` | `setOnmouseover(java.lang.String _onmouseover)`
    `void` | `setOnmouseup(java.lang.String _onmouseup)`
    `void` | `setOnsubmit(java.lang.String _onsubmit)`
    `void` | `setParameters(java.lang.Object _parameters)`
    `void` | `setProcess(java.lang.Object _process)`
    `void` | `setProgressVar(java.lang.String _progressVar)`
    `void` | `setRemainClass(java.lang.String _remainClass)`
    `void` | `setRequestDelay(int _requestDelay)`
    `void` | `setReRender(java.lang.Object _reRender)`
    `void` | `setReRenderAfterComplete(java.lang.String _reRenderAfterComplete)`
    `void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
    `void` | `setStatus(java.lang.String _status)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTimeout(int _timeout)`
    `void` | `setTitle(java.lang.String _title)`

    - ### Methods inherited from class org.richfaces.component.UIProgressBar

      `broadcast, getNumber`

    - ### Methods inherited from class org.ajax4jsf.component.UIPoll

      `isSubmitted, setSubmitted, setupReRender`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlProgressBar

          public HtmlProgressBar()

  - ### Method Detail

    - #### isAjaxSingle

          public boolean isAjaxSingle()

    - #### setAjaxSingle

          public void setAjaxSingle(boolean _ajaxSingle)

    - #### isBypassUpdates

          public boolean isBypassUpdates()

    - #### setBypassUpdates

          public void setBypassUpdates(boolean _bypassUpdates)

    - #### getCompleteClass

          public java.lang.String getCompleteClass()

    - #### setCompleteClass

          public void setCompleteClass(java.lang.String _completeClass)

    - #### getData

          public java.lang.Object getData()

    - #### setData

          public void setData(java.lang.Object _data)

    - #### getDualColoredLabel

          public java.lang.Boolean getDualColoredLabel()

    - #### setDualColoredLabel

          public void setDualColoredLabel(java.lang.Boolean _dualColoredLabel)

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in class `UIPoll`

    - #### setEnabled

          public void setEnabled(boolean _enabled)

      Specified by:
        `setEnabled` in class `UIPoll`

    - #### getEventsQueue

          public java.lang.String getEventsQueue()

    - #### setEventsQueue

          public void setEventsQueue(java.lang.String _eventsQueue)

    - #### getFinishClass

          public java.lang.String getFinishClass()

    - #### setFinishClass

          public void setFinishClass(java.lang.String _finishClass)

    - #### getFocus

          public java.lang.String getFocus()

    - #### setFocus

          public void setFocus(java.lang.String _focus)

    - #### isIgnoreDupResponses

          public boolean isIgnoreDupResponses()

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(boolean _ignoreDupResponses)

    - #### getInitialClass

          public java.lang.String getInitialClass()

    - #### setInitialClass

          public void setInitialClass(java.lang.String _initialClass)

    - #### getInterval

          public int getInterval()

      Specified by:
        `getInterval` in class `UIPoll`
      Returns:
        time in mc for polling interval.

    - #### setInterval

          public void setInterval(int _interval)

      Specified by:
        `setInterval` in class `UIPoll`
      Parameters:
        `_interval` - time in mc for polling interval.

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### isLimitToList

          public boolean isLimitToList()

    - #### setLimitToList

          public void setLimitToList(boolean _limitToList)

    - #### getMaxValue

          public java.lang.Object getMaxValue()

    - #### setMaxValue

          public void setMaxValue(java.lang.Object _maxValue)

    - #### getMinValue

          public java.lang.Object getMinValue()

    - #### setMinValue

          public void setMinValue(java.lang.Object _minValue)

    - #### getMode

          public java.lang.String getMode()

    - #### setMode

          public void setMode(java.lang.String _mode)

    - #### getOnbeforedomupdate

          public java.lang.String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

    - #### getOnclick

          public java.lang.String getOnclick()

    - #### setOnclick

          public void setOnclick(java.lang.String _onclick)

    - #### getOncomplete

          public java.lang.String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(java.lang.String _oncomplete)

    - #### getOndblclick

          public java.lang.String getOndblclick()

    - #### setOndblclick

          public void setOndblclick(java.lang.String _ondblclick)

    - #### getOnkeydown

          public java.lang.String getOnkeydown()

    - #### setOnkeydown

          public void setOnkeydown(java.lang.String _onkeydown)

    - #### getOnkeypress

          public java.lang.String getOnkeypress()

    - #### setOnkeypress

          public void setOnkeypress(java.lang.String _onkeypress)

    - #### getOnkeyup

          public java.lang.String getOnkeyup()

    - #### setOnkeyup

          public void setOnkeyup(java.lang.String _onkeyup)

    - #### getOnmousedown

          public java.lang.String getOnmousedown()

    - #### setOnmousedown

          public void setOnmousedown(java.lang.String _onmousedown)

    - #### getOnmousemove

          public java.lang.String getOnmousemove()

    - #### setOnmousemove

          public void setOnmousemove(java.lang.String _onmousemove)

    - #### getOnmouseout

          public java.lang.String getOnmouseout()

    - #### setOnmouseout

          public void setOnmouseout(java.lang.String _onmouseout)

    - #### getOnmouseover

          public java.lang.String getOnmouseover()

    - #### setOnmouseover

          public void setOnmouseover(java.lang.String _onmouseover)

    - #### getOnmouseup

          public java.lang.String getOnmouseup()

    - #### setOnmouseup

          public void setOnmouseup(java.lang.String _onmouseup)

    - #### getOnsubmit

          public java.lang.String getOnsubmit()

    - #### setOnsubmit

          public void setOnsubmit(java.lang.String _onsubmit)

    - #### getParameters

          public java.lang.Object getParameters()

    - #### setParameters

          public void setParameters(java.lang.Object _parameters)

    - #### getProcess

          public java.lang.Object getProcess()

    - #### setProcess

          public void setProcess(java.lang.Object _process)

    - #### getProgressVar

          public java.lang.String getProgressVar()

    - #### setProgressVar

          public void setProgressVar(java.lang.String _progressVar)

    - #### getReRender

          public java.lang.Object getReRender()

    - #### setReRender

          public void setReRender(java.lang.Object _reRender)

    - #### getReRenderAfterComplete

          public java.lang.String getReRenderAfterComplete()

    - #### setReRenderAfterComplete

          public void setReRenderAfterComplete(java.lang.String _reRenderAfterComplete)

    - #### getRemainClass

          public java.lang.String getRemainClass()

    - #### setRemainClass

          public void setRemainClass(java.lang.String _remainClass)

    - #### getRequestDelay

          public int getRequestDelay()

    - #### setRequestDelay

          public void setRequestDelay(int _requestDelay)

    - #### getSimilarityGroupingId

          public java.lang.String getSimilarityGroupingId()

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String _status)

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int _timeout)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UICommand`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UICommand`

Copyright © 2013. All Rights Reserved.